Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003950TestLinkUser Interface Generalpublic2010-10-27 13:322010-11-14 12:07
Reporterasimon 
Assigned Toasimon 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 RC 1 
Fixed in Version1.9 (Prague) 
Summary0003950: Navigation bar design should be optimized
DescriptionThe test project selector should be integrated into navigation bar. Links to user's preferences and logout should be removed there and instead placed beside user's name.

See attached screen shot for result (resolution of 1280x960 pixels). This makes for a better look and feel instead of the old default layout. And there is no linebreak/wrap anymore for this resolution.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon tl_screen.PNG [^] (13,101 bytes) 2010-10-27 13:32

- Relationships

-  Notes
(0012098)
fman (administrator)
2010-10-27 17:07

Would you mind to explain what are the advantages of this new layout ?
I'm not able to see any advantages.
(0012099)
Julian (reporter)
2010-10-27 17:48

project selector gets more in the focus.
user settings are grouped with user name and role

fixes problem with smaller screens.
current setting make navbar stretch to 2 lines on 1280px screens when long project names are used.

lets ask the question like this: what are the disadvantages?
(0012100)
fman (administrator)
2010-10-27 18:09

>> lets ask the question like this: what are the disadvantages?
From my point of view this change is not an improvement on usability => no advantage

Disadvantage:
do effort to change something that will be (probably) reworked when GUI for 2.0 will be refactored.

Anyway as stated on some mails is ok to add
(0012101)
Julian (reporter)
2010-10-27 18:11

we already finished this. will be commited tomorrow
(0012102)
fman (administrator)
2010-10-27 18:26

great!
(0012108)
Julian (reporter)
2010-10-28 06:57

code has been commited
(0012529)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-10-27 13:32 asimon New Issue
2010-10-27 13:32 asimon Status new => assigned
2010-10-27 13:32 asimon Assigned To => asimon
2010-10-27 13:32 asimon File Added: tl_screen.PNG
2010-10-27 17:07 fman Note Added: 0012098
2010-10-27 17:48 Julian Note Added: 0012099
2010-10-27 18:09 fman Note Added: 0012100
2010-10-27 18:11 Julian Note Added: 0012101
2010-10-27 18:12 Julian Note View State: 0012098: public
2010-10-27 18:12 Julian Note View State: 0012099: public
2010-10-27 18:26 fman Note Added: 0012102
2010-10-28 06:57 Julian Note Added: 0012108
2010-10-28 06:57 Julian Status assigned => resolved
2010-10-28 06:57 Julian Fixed in Version => 1.9 (Prague)
2010-10-28 06:57 Julian Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012529
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker